Subject: Re: Strange behaviour of vpath with dos paths
From: "Johan Bezem" <[email-masked]>
To: [email-masked]
Date: Thu, 28 Feb 2002 11:18:58 +0100

Hi,

Colm Aengus Murphy wrote:
> 
> Hi folks,
> 
> I am seeing strange behaviour when using dos paths in a gnu make vpath
> directive.
> The makefile I am using to test this funny is as follows:
> 
> -------------------------------------------------------------------
> vpath %.out c:/make_test/out
Error!
> #vpath %.out /cygdrive/c/make_test/out
Works.
> 
> #VPATH = c:/make_test/out
Works.
> #VPATH = /cygdrive/c/make_test/out
Works.
> 
> test.out : \
>    test.input\
>    ; echo test.input > out/test.out
> -------------------------------------------------------------------
> 
> What I find is that vpath doesn't work when given a dos path.
> VPATH on the other hand does.

Thanks, this is exactly the same problem I've seen just yesterday.

<SNIP>
> P.S. I am using gnu make 3.79.1-4 and 1.3.5-2 of the cygwin dll.

Here: 3.79.1-5 and 1.3.9-1 respectively.
After upgrading to 1.3.10-1 just yet, the problem persists.
I'd say, this is a real candidate for a bug.

Anyone else?

Thanks,

Johan Bezem
CSK Software AG

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/